package com.vandyo.sentry.core.cases;

import com.vandyo.sentry.core.collectionMachine.CollectionMachine;
import com.vandyo.sentry.core.dto.Res;

import java.util.Map;

/**
 * 这里假设直接获取到sid和uid的值
 */
public class EmptyCase extends Case {

    private String sId;
    private String uid;

    public EmptyCase(String sId, String uid) {
        this.sId = sId;
        this.uid = uid;
    }

    @Override
    public Res<Map<String, String>> check() {
        Res<Map<String, String>> res = new Res<>();
        res.setSId(sId);
        res.setUId(uid);
        res.setSuccess(true);
        // 这里的请求结果进行跳过
        res.setIgnore(true);
        res.setKey("test");
        CollectionMachine.post(res);
        return res;
    }
}
